@charset "UTF-8";
.select-address {
    position: relative;
    display: inline-block;
    text-align: left;
    z-index: 19911125;
    overflow: hidden;
    background: #fff;
    @include box-shadow(0 3px 12px rgba(0, 0, 0, 0.175));
    .select-address-title {
        line-height: 1em;
        margin: 0;
        padding: 10px 15px;
        border-bottom: 1px solid #eee;
        font-size: 1em;
    }
    .select-address-container {
        ul {
            margin: 0;
            padding: 0;
            list-style: none;
            li {
                display: table-cell;
                width: 240px;
                padding: 10px;
                vertical-align: middle;
                @media (max-width: $page-float-breakpoint-max) {
                    display: list-item;
                    width: 100%;
                }
                span {
                    display: inline-block;
                    // margin: 5px 7px;
                    font-size: 1em;
                    cursor: pointer;
                    padding: 0.2em 0.6em 0.3em; // = laber border-box
                }
                &:nth-child(even) {
                    background: #eee;
                }
                &:first-child {
                    width: 350px;
                    @media (max-width: $page-float-breakpoint-max) {
                        width: 100%;
                    }
                }
            }
        }
    }
    .select-address-footer {
        padding: 10px 15px;
        border-top: 1px solid #eee;
        display: -webkit-box;
        display: -moz-box;
        display: -o-box;
        display: -ms-flexbox;
        display: flex;
        @media (max-width: $page-float-breakpoint-max) {
            display: block;
        }
        .text-danger {
            margin-right: 1em;
            padding-top: 7px;
            @media (max-width: $page-float-breakpoint-max) {
                padding-top: 0;
            }
        }
        .form-control,
        .toolbar {
            @media (max-width: $page-float-breakpoint-max) {
                margin-top: 15px;
            }
        }
        .form-control {
            -moz-box-flex: 1;
            -webkit-box-flex: 1;
            -o-box-flex: 1;
            -ms-flex: 1;
            flex: 1;
        }
        .toolbar {
            padding-left: 2em;
            @media (max-width: $page-float-breakpoint-max) {
                padding-left: 0;
            }
            .btn + .btn {
                margin-left: 1em;
            }
        }
        .form-group,
        .toolbar {
            display: inline-block;
        }
        .form-control-feedback {
            right: -26px;
        }
    }
}
